# -*- coding: utf-8 -*-
# This file is part of the cashbook-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.pool import Pool
from .book import Book
from .account_type import AccountType
from .line import Line, LineContext
from .wizard_openline import OpenCashBook, OpenCashBookStart

def register():
    Pool.register(
        AccountType,
        Book,
        LineContext,
        Line,
        OpenCashBookStart,
        module='cashbook', type_='model')
    Pool.register(
        OpenCashBook,
        module='cashbook', type_='wizard')
